<ion-app>
    <ion-menu side="start" menuId="menu" contentId="main">
        <ion-header>
            <ion-toolbar>
                <ion-title>Setting</ion-title>
            </ion-toolbar>
        </ion-header>
        <ion-content>
            <div id="share-info" tappable [routerDirection]="'forward'"
                [routerLink]="['/app/tabs/tab-menu/share-info']">
                <div id="icon">
                    <ion-icon name="share" color="primary" mode="md"></ion-icon>
                </div>
                <div id="info">
                    <p *ngIf="name!=''">{{name}}</p>
                    <p *ngIf="name==''" style="color: #a9a9a9">Setting your name in Account</p>
                    <p style="color: #696969">{{email}}</p>
                </div>
            </div>
            <ion-list>
                <ion-item tappable detail [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/account']"
                    (click)="setMenuNeedOpen()">
                    Account</ion-item>
                <!-- <ion-item tappable detail [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/group-manage']">
                    Groups</ion-item> -->
                <ion-item tappable detail [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/backup']"
                    (click)="setMenuNeedOpen()">
                    Backup</ion-item>
                <!-- <ion-item tappable detail [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/privacy']">
                    Privacy</ion-item> -->
                <ion-item tappable detail [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/help']"
                    (click)="setMenuNeedOpen()">
                    Help</ion-item>
                <ion-item tappable detail [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/about']"
                    (click)="setMenuNeedOpen()">
                    About</ion-item>
                <ion-item tappable detail [routerDirection]="'forward'"
                    (click)="navigate()">
                    Upgrade</ion-item>
                <ion-item tappable detail (click)="onSignOut()">Sign Out</ion-item>
            </ion-list>
        </ion-content>
    </ion-menu>
    <ion-router-outlet id="main"></ion-router-outlet>
</ion-app>